com.trendmicro.ds.platform.rest.object.managernodes

## Class ManagerNode.SystemInformation.Disk

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.managernodes.ManagerNode.SystemInformation.Disk

- Enclosing class:
    ManagerNode.SystemInformation

      public static class ManagerNode.SystemInformation.Disk
      extends java.lang.Object

  Manager node disk information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Disk()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDevice()` Get the disk identifier as reported by the system.
    `java.lang.Long` | `getFree()` Get the amount of free disk space reported for this device, in kilobytes.
    `java.lang.Float` | `getPercentFree()` Get the percentage of free disk space reported for this device.
    `void` | `setDevice(java.lang.String device)` Set the disk identifier as reported by the system.
    `void` | `setFree(java.lang.Long free)` Set the amount of free disk space reported for this device, in kilobytes.
    `void` | `setPercentFree(java.lang.Float percentFree)` Set the percentage of free disk space reported for this device.
    `ManagerNode.SystemInformation.Disk` | `withDevice(java.lang.String device)` Set the disk identifier as reported by the system.
    `ManagerNode.SystemInformation.Disk` | `withFree(java.lang.Long free)` Set the amount of free disk space reported for this device, in kilobytes.
    `ManagerNode.SystemInformation.Disk` | `withPercentFree(java.lang.Float percentFree)` Set the percentage of free disk space reported for this device.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Disk

          public Disk()

  - ### Method Detail

    - #### getFree

          public java.lang.Long getFree()

      Get the amount of free disk space reported for this device, in kilobytes.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the amount of free disk space reported for this device, in kilobytes.

    - #### setFree

          public void setFree(java.lang.Long free)

      Set the amount of free disk space reported for this device, in kilobytes.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `free` - the amount of free disk space reported for this device, in kilobytes.

    - #### withFree

          public ManagerNode.SystemInformation.Disk withFree(java.lang.Long free)

      Set the amount of free disk space reported for this device, in kilobytes.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `free` - the amount of free disk space reported for this device, in kilobytes.
      Returns:
        the updated Disk object.

    - #### getPercentFree

          public java.lang.Float getPercentFree()

      Get the percentage of free disk space reported for this device.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the percentage of free disk space reported for this device.

    - #### setPercentFree

          public void setPercentFree(java.lang.Float percentFree)

      Set the percentage of free disk space reported for this device.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `percentFree` - the percentage of free disk space reported for this device.

    - #### withPercentFree

          public ManagerNode.SystemInformation.Disk withPercentFree(java.lang.Float percentFree)

      Set the percentage of free disk space reported for this device.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `percentFree` - the percentage of free disk space reported for this device.
      Returns:
        the updated Disk object.

    - #### getDevice

          public java.lang.String getDevice()

      Get the disk identifier as reported by the system.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the disk identifier as reported by the system.

    - #### setDevice

          public void setDevice(java.lang.String device)

      Set the disk identifier as reported by the system.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `device` - the disk identifier as reported by the system.

    - #### withDevice

          public ManagerNode.SystemInformation.Disk withDevice(java.lang.String device)

      Set the disk identifier as reported by the system.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `device` - the disk identifier as reported by the system.
      Returns:
        the updated Disk object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.